Package org.zkoss.zk.au.out

## Class AuClearWrongValue

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zk.au.out.AuClearWrongValue

-     public class AuClearWrongValue
      extends AuResponse

  A response to ask the client to close the error messages belonging the specified component, if any.

  data[0]: the component.
  data[1]: the 2nd component, if any
  ...

  Since:
    5.0.0
  Author:
    tomyeh

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuClearWrongValue​(java.util.List<? extends Component> comps)` |
    `AuClearWrongValue​(Component comp)` | Unlike other constructors, the object instantiated by this method depends on the specified comp.
    `AuClearWrongValue​(Component[] comps)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getOverrideKey()` | Default: "zk.wrongValue" if `AuResponse.getDepends()` is not null, or null if `AuResponse.getDepends()` is null

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getEncodedData, getRawData, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuClearWrongValue

          public AuClearWrongValue​(java.util.List<? extends Component> comps)

      Parameters:
        `comps` - a list of components

    - #### AuClearWrongValue

          public AuClearWrongValue​(Component[] comps)

      Parameters:
        `comps` - a list of components

    - #### AuClearWrongValue

          public AuClearWrongValue​(Component comp)

      Unlike other constructors, the object instantiated by this method depends on the specified comp.
      Parameters:
        `comp` - the component whose error box, if any, shall be closed.

  - ### Method Detail

    - #### getOverrideKey

          public final java.lang.String getOverrideKey()

      Default: "zk.wrongValue" if `AuResponse.getDepends()` is not null, or null if `AuResponse.getDepends()` is null
      Overrides:
        `getOverrideKey` in class `AuResponse`
      Since:
        5.0.2